#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: rails-controller-testing 1.0.5 ruby lib

Gem::Specification.new do |s|
  s.name = "rails-controller-testing".freeze
  s.version = "1.0.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Rails Core Team".freeze]
  s.date = "2020-06-23"
  s.files = ["LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "lib/rails-controller-testing.rb".freeze, "lib/rails/controller/testing.rb".freeze, "lib/rails/controller/testing/integration.rb".freeze, "lib/rails/controller/testing/railtie.rb".freeze, "lib/rails/controller/testing/template_assertions.rb".freeze, "lib/rails/controller/testing/test_process.rb".freeze, "lib/rails/controller/testing/version.rb".freeze, "test/controllers/assigns_test.rb".freeze, "test/controllers/template_assertions_test.rb".freeze, "test/dummy/README.rdoc".freeze, "test/dummy/Rakefile".freeze, "test/dummy/app/controllers/assigns_controller.rb".freeze, "test/dummy/app/controllers/template_assertions_controller.rb".freeze, "test/dummy/app/controllers/view_assigns_controller.rb".freeze, "test/dummy/app/helpers/application_helper.rb".freeze, "test/dummy/app/views/layouts/application.html.erb".freeze, "test/dummy/app/views/layouts/standard.html.erb".freeze, "test/dummy/app/views/test/_directory/_partial_with_locales.html.erb".freeze, "test/dummy/app/views/test/_layout_for_partial.html.erb".freeze, "test/dummy/app/views/test/_partial.html.erb".freeze, "test/dummy/app/views/test/_partial_for_use_in_layout.html.erb".freeze, "test/dummy/app/views/test/calling_partial_with_layout.html.erb".freeze, "test/dummy/app/views/test/hello/hello.html.erb".freeze, "test/dummy/app/views/test/hello_world.html.erb".freeze, "test/dummy/app/views/test/hello_world_with_partial.html.erb".freeze, "test/dummy/app/views/test/render_partial_inside_directory.html.erb".freeze, "test/dummy/app/views/test/render_two_partials.html.erb".freeze, "test/dummy/bin/bundle".freeze, "test/dummy/bin/rails".freeze, "test/dummy/bin/rake".freeze, "test/dummy/bin/setup".freeze, "test/dummy/config.ru".freeze, "test/dummy/config/application.rb".freeze, "test/dummy/config/boot.rb".freeze, "test/dummy/config/database.yml".freeze, "test/dummy/config/environment.rb".freeze, "test/dummy/config/environments/development.rb".freeze, "test/dummy/config/environments/production.rb".freeze, "test/dummy/config/environments/test.rb".freeze, "test/dummy/config/initializers/assets.rb".freeze, "test/dummy/config/initializers/backtrace_silencers.rb".freeze, "test/dummy/config/initializers/cookies_serializer.rb".freeze, "test/dummy/config/initializers/filter_parameter_logging.rb".freeze, "test/dummy/config/initializers/inflections.rb".freeze, "test/dummy/config/initializers/mime_types.rb".freeze, "test/dummy/config/initializers/session_store.rb".freeze, "test/dummy/config/initializers/wrap_parameters.rb".freeze, "test/dummy/config/locales/en.yml".freeze, "test/dummy/config/routes.rb".freeze, "test/dummy/config/secrets.yml".freeze, "test/dummy/log/test.log".freeze, "test/dummy/public/404.html".freeze, "test/dummy/public/422.html".freeze, "test/dummy/public/500.html".freeze, "test/dummy/public/favicon.ico".freeze, "test/helpers/template_assertions_test.rb".freeze, "test/integration/template_assertions_test.rb".freeze, "test/test_helper.rb".freeze]
  s.homepage = "https://github.com/rails/rails-controller-testing".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.2".freeze)
  s.rubygems_version = "2.5.2.1".freeze
  s.summary = "Extracting `assigns` and `assert_template` from ActionDispatch.".freeze
  s.test_files = ["test/controllers/assigns_test.rb".freeze, "test/controllers/template_assertions_test.rb".freeze, "test/dummy/README.rdoc".freeze, "test/dummy/Rakefile".freeze, "test/dummy/app/controllers/assigns_controller.rb".freeze, "test/dummy/app/controllers/template_assertions_controller.rb".freeze, "test/dummy/app/controllers/view_assigns_controller.rb".freeze, "test/dummy/app/helpers/application_helper.rb".freeze, "test/dummy/app/views/layouts/application.html.erb".freeze, "test/dummy/app/views/layouts/standard.html.erb".freeze, "test/dummy/app/views/test/_directory/_partial_with_locales.html.erb".freeze, "test/dummy/app/views/test/_layout_for_partial.html.erb".freeze, "test/dummy/app/views/test/_partial.html.erb".freeze, "test/dummy/app/views/test/_partial_for_use_in_layout.html.erb".freeze, "test/dummy/app/views/test/calling_partial_with_layout.html.erb".freeze, "test/dummy/app/views/test/hello/hello.html.erb".freeze, "test/dummy/app/views/test/hello_world.html.erb".freeze, "test/dummy/app/views/test/hello_world_with_partial.html.erb".freeze, "test/dummy/app/views/test/render_partial_inside_directory.html.erb".freeze, "test/dummy/app/views/test/render_two_partials.html.erb".freeze, "test/dummy/bin/bundle".freeze, "test/dummy/bin/rails".freeze, "test/dummy/bin/rake".freeze, "test/dummy/bin/setup".freeze, "test/dummy/config.ru".freeze, "test/dummy/config/application.rb".freeze, "test/dummy/config/boot.rb".freeze, "test/dummy/config/database.yml".freeze, "test/dummy/config/environment.rb".freeze, "test/dummy/config/environments/development.rb".freeze, "test/dummy/config/environments/production.rb".freeze, "test/dummy/config/environments/test.rb".freeze, "test/dummy/config/initializers/assets.rb".freeze, "test/dummy/config/initializers/backtrace_silencers.rb".freeze, "test/dummy/config/initializers/cookies_serializer.rb".freeze, "test/dummy/config/initializers/filter_parameter_logging.rb".freeze, "test/dummy/config/initializers/inflections.rb".freeze, "test/dummy/config/initializers/mime_types.rb".freeze, "test/dummy/config/initializers/session_store.rb".freeze, "test/dummy/config/initializers/wrap_parameters.rb".freeze, "test/dummy/config/locales/en.yml".freeze, "test/dummy/config/routes.rb".freeze, "test/dummy/config/secrets.yml".freeze, "test/dummy/log/test.log".freeze, "test/dummy/public/404.html".freeze, "test/dummy/public/422.html".freeze, "test/dummy/public/500.html".freeze, "test/dummy/public/favicon.ico".freeze, "test/helpers/template_assertions_test.rb".freeze, "test/integration/template_assertions_test.rb".freeze, "test/test_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<actionpack>.freeze, [">= 5.0.1.rc1"])
      s.add_runtime_dependency(%q<actionview>.freeze, [">= 5.0.1.rc1"])
      s.add_runtime_dependency(%q<activesupport>.freeze, [">= 5.0.1.rc1"])
      s.add_development_dependency(%q<railties>.freeze, [">= 5.0.1.rc1"])
      s.add_development_dependency(%q<sqlite3>.freeze, [">= 0"])
    else
      s.add_dependency(%q<actionpack>.freeze, [">= 5.0.1.rc1"])
      s.add_dependency(%q<actionview>.freeze, [">= 5.0.1.rc1"])
      s.add_dependency(%q<activesupport>.freeze, [">= 5.0.1.rc1"])
      s.add_dependency(%q<railties>.freeze, [">= 5.0.1.rc1"])
      s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<actionpack>.freeze, [">= 5.0.1.rc1"])
    s.add_dependency(%q<actionview>.freeze, [">= 5.0.1.rc1"])
    s.add_dependency(%q<activesupport>.freeze, [">= 5.0.1.rc1"])
    s.add_dependency(%q<railties>.freeze, [">= 5.0.1.rc1"])
    s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
  end
end
